IntroductionQuickstartAuthenticationPaginationRate Limit

Search endpoints

Job Search POSTCompany Search POSTTechnographics POST

Account endpoints

Get Credit Balance GETGet Credits Consumption GET

Other

Get Saved Search GETList All Saved Searches GETArchive Saved Search PATCHUpdate Saved Search PATCHCreate Saved Search POST
TheirStackTheirStack Logo
Log inSign up
DocumentationAPI ReferenceWebhooksDatasetsMCPGuides
Saved searches

Archive Saved Search

Archive a saved search by its ID to remove it from the active list. Archived searches are hidden from the default listing but can still be referenced. Associated webhooks will stop triggering for archived searches.

PATCH
/v0/saved_searches/{search_id}/archive

Authorization

Bearer
AuthorizationBearer <token>

In: header

Path Parameters

  • search_id
    integerrequired

    The ID of the saved search

  • Response Body

    application/json

    application/json

    application/json

    application/json

    application/json

    curl -X PATCH "https://api.theirstack.com/v0/saved_searches/0/archive"
    {
      "property1": "string",
      "property2": "string"
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }
    {
      "request_id": null,
      "error": {
        "code": "E-001",
        "title": "Not allowed exception",
        "description": "string"
      }
    }

    How is this guide?

    Last updated on

    List All Saved Searches GET

    Retrieve all active saved searches for the current user including search filters, type, and creation date. Archived saved searches are excluded. Filter by user IDs or search type and sort by name, created, or updated date.

    Update Saved Search PATCH

    Next Page